---
updatedAt: 2026-06-02T12:53:51.000Z
agentTools:
  projectIndex: https://docs.trustpair.com/llms.txt
---

# Retrieve a company account audit

Retrieves company account audit details.

This endpoint allows you to:
- Access detailed audit information for a specific company account audit

**Required permissions (one of):**
- `company_account_audits_read`
- `company_account_audits_write`


# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "TRUSTPAIR API",
    "version": "v1",
    "description": "The Trustpair API is organized around REST. Our API has predictable resource-oriented URLs, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.\n\n# Definitions\nThe following API documentation is divided into different definitions. Switch between definitions using the select located at the top right of the page.\n\n# Authentication\n\nThe Trustpair API uses token to authenticate requests.\n\nThe Bearer authentication token must be provided with the request as a header: `Authorization: Bearer <token>`\n\nAll API requests must be made over `HTTPS`. Calls made over plain `HTTP` will fail.\n\nAPI requests without authentication will also fail.\n\n\n### Error response\n\nReturns a `401 UNAUTHORIZED` code if the provided bearer token is not found.\n\n# Rate limits\nLimits are placed on the number of requests that can be made on the Trustpair API (the currently enforced limit being 100 requests over a 10 seconds periods). These limits help us provide the reliable and scalable API that our customers rely on.\n\nIf the defined limit is exceeded, the API will return an HTTP code `429 Too Many Requests`.\n\n\n# Pagination\n\nThe API returns paginated results for list endpoints. By default, the number of items returned is 10.\n\nTrustpair utilizes cursor-based pagination via the `starting_after` and `ending_before` parameters.\nBoth parameters take an existing object ID value and return objects in reverse chronological order.\nThe `ending_before` parameter returns objects listed before the named object. The `starting_after` parameter returns objects listed after the named object.\nIf both parameters are provided, only `ending_before` is used.\n\n\n| Arguments      | Description                                                         | Required                | Example                                                |\n| -------------  |:-------------:                                                      | -----:                  | ---:                                                   |\n| limit          | A limit on the number of objects to be returned, between 1 and 100. | optional, default is 10 | */?limit=2                                             |\n| starting_after | A cursor for use in pagination                                      | optional                | */?starting_after=c58ac778-67b5-4f98-ba33-a1e9aaf394eb |\n| ending_before  | A cursor for use in pagination                                      | optional                | */?ending_before=c58ac778-67b5-4f98-ba33-a1e9aaf394eb  |\n\n\n# Filters\n\nThe API results can be filtered according to different criteria on every endpoint.\n\nThere is no theoric limit on how many different elements can be submitted in a filter, only that the request header should be kept under 8kb.\n\n| Arguments            | Description                                                                                    | Example                                                                                                       |\n| -------------        |:-------------:                                                                                 | ---------------------------------------:                                                                      |\n| ids                  | Returns selected objects                                                                       | /api/v1/paid_payments?ids=a414df38-f13b-48b6-95f7-f941ca121f28,a414df38-f13b-48b6-95f7-f941ca121f29           |\n| recents              | Returns objects evaluated in the last 24 hours                                                 | /api/v1/company_account_audits/recents                                                                        |\n| recents/?last_update | Returns the objects evaluated from the given date (included) (format: `%d/%m/%Y`)              | /api/v1/payment_checks/recents?last_update='01/01/2021'                                                       |\n| state                | Filters by global state (in `pending`, `favorable`, `unfavorable`, `anomaly` or `unevaluated`) | api/v1/company_account_checks/?state=unfavorable                                                              |\n\n# HTTP Codes\n\nTrustpair uses conventional HTTP response codes to indicate the success or failure of an API request.\n\n| Code                       | Description                                                             |\n| -------------              |:-------------:                                                          |\n| 200 - OK                   | Everything worked as expected                                           |\n| 202 - Accepted             | The request has been accepted and processing has not been completed yet |\n| 401 - Unauthorized         | No valid token was provided                                             |\n| 403 - Forbidden            | The token doesn't have permissions for the request                      |\n| 404 - Not found            | The requested resource doesn't exist                                    |\n| 422 - Unprocessable Entity | The request format was invalid                                          |\n| 429 - Too many requests    | The requests limit is exceeded                                          |\n\n# Webhooks\n\nThe webhook events documentation can be found by selecting `Webhooks - V1` in the [definitions](#definitions) select.\n\n"
  },
  "servers": [
    {
      "url": "https://app-sandbox.trustpair.com/"
    }
  ],
  "paths": {
    "/api/v1/company_account_audits/{id}": {
      "parameters": [
        {
          "name": "id",
          "in": "path",
          "schema": {
            "type": "string",
            "format": "uuid"
          },
          "required": true,
          "description": "The unique identifier (UUID) of the company account audit to update.",
          "example": "123e4567-e89b-12d3-a456-426614174000"
        }
      ],
      "get": {
        "summary": "Retrieve a company account audit",
        "tags": [
          "Company account audits"
        ],
        "description": "Retrieves company account audit details.\n\nThis endpoint allows you to:\n- Access detailed audit information for a specific company account audit\n\n**Required permissions (one of):**\n- `company_account_audits_read`\n- `company_account_audits_write`\n",
        "security": [
          {
            "bearer": []
          }
        ],
        "parameters": [
          {
            "name": "Accept-Language",
            "in": "header",
            "schema": {
              "type": "string",
              "enum": [
                "en",
                "fr"
              ]
            },
            "required": false,
            "description": "Specifies the preferred language for the response. Supported languages:\n* `en` - English\n* `fr` - French\n\nIf not provided, the default language will be used.\n",
            "example": "en"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "examples": {
                  "Favorable global state on natural person": {
                    "value": {
                      "data": {
                        "id": "00e4f48e-1602-4da7-91fd-7567c4c8c70b",
                        "type": "company_account_audit",
                        "attributes": {
                          "company_name": null,
                          "company_country_code": null,
                          "company_country_code_iso3": null,
                          "company_registration": null,
                          "tax_number": null,
                          "duns": null,
                          "company_details": {
                            "activity": {
                              "code": null,
                              "label": null,
                              "type": null
                            },
                            "insolvencies": []
                          },
                          "iban": "FR7600009999999999990123456",
                          "bank_account_country_code": "FR",
                          "bank_account_country_code_iso3": "FRA",
                          "bank_account_number": null,
                          "bank_account_bic": "BRBAGB2LXXX",
                          "routing_number": null,
                          "control_key": null,
                          "bank_details": {
                            "account_blacklisted": false,
                            "factor": false,
                            "name": "Simon EURL Bank",
                            "address": {
                              "street": "751 Rue De Vaugirard",
                              "city": "Saint Denis",
                              "state": "Mayotte",
                              "country": "France",
                              "country_code": "FR",
                              "zip_code": "28553"
                            }
                          },
                          "supplier_id": "your_internal_unique_id_4",
                          "supplier_ids": [
                            "your_internal_unique_id_4"
                          ],
                          "state": "favorable",
                          "state_reasons": {
                            "company": {},
                            "bank_account": {
                              "raw": [
                                "bank_account_default_favorable"
                              ],
                              "state": "favorable",
                              "state_reasons": [
                                "The bank account is valid"
                              ]
                            },
                            "correlation": {
                              "raw": [
                                "external_source_favorable"
                              ],
                              "state": "favorable",
                              "state_reasons": [
                                "The bank account belongs to the supplier"
                              ]
                            }
                          },
                          "suggestions": null,
                          "factor_id": null,
                          "url": "https://app.trustpair.com/pairs/details/00e4f48e-1602-4da7-91fd-7567c4c8c70b?customer_id=214ab0f2-e9a3-46a8-af80-fba69d888702",
                          "created_at": 1618147704,
                          "updated_at": 1618147804,
                          "first_name": "Jean",
                          "last_name": "Dupont",
                          "other_name": null,
                          "middle_name": null,
                          "natural_person_country_code": "FR",
                          "natural_person_country_code_iso3": "FRA",
                          "natural_person_tax_number": null,
                          "birthdate": "28-05-1985",
                          "override_initial_status": null,
                          "override_request_date": null,
                          "override_request_initiator": null,
                          "override_review_date": null,
                          "override_request_reviewer": null
                        },
                        "links": {
                          "details_in_app": "https://app.trustpair.com/pairs/details/00e4f48e-1602-4da7-91fd-7567c4c8c70b?customer_id=214ab0f2-e9a3-46a8-af80-fba69d888702"
                        }
                      }
                    }
                  },
                  "Favorable global state on US natural person": {
                    "value": {
                      "data": {
                        "id": "00e4f48e-1602-4da7-91fd-7567c4c8c70b",
                        "type": "company_account_audit",
                        "attributes": {
                          "company_name": null,
                          "company_country_code": null,
                          "company_country_code_iso3": null,
                          "company_registration": null,
                          "tax_number": null,
                          "duns": null,
                          "company_details": {
                            "activity": {
                              "code": null,
                              "label": null,
                              "type": null
                            },
                            "insolvencies": []
                          },
                          "iban": null,
                          "bank_account_country_code": "US",
                          "bank_account_country_code_iso3": "USA",
                          "bank_account_number": "0000000019",
                          "bank_account_bic": null,
                          "routing_number": "122105278",
                          "control_key": null,
                          "bank_details": {
                            "account_blacklisted": false,
                            "factor": false,
                            "name": null,
                            "address": null
                          },
                          "supplier_id": "your_internal_unique_id_5",
                          "supplier_ids": [
                            "your_internal_unique_id_5"
                          ],
                          "state": "favorable",
                          "state_reasons": {
                            "company": {},
                            "bank_account": {
                              "raw": [
                                "bank_account_default_favorable"
                              ],
                              "state": "favorable",
                              "state_reasons": [
                                "The bank account is valid"
                              ]
                            },
                            "correlation": {
                              "raw": [
                                "external_source_favorable"
                              ],
                              "state": "favorable",
                              "state_reasons": [
                                "The bank account belongs to the supplier"
                              ]
                            }
                          },
                          "suggestions": null,
                          "factor_id": null,
                          "url": "https://app.trustpair.com/pairs/details/00e4f48e-1602-4da7-91fd-7567c4c8c70b?customer_id=214ab0f2-e9a3-46a8-af80-fba69d888702",
                          "created_at": 1618147704,
                          "updated_at": 1618147804,
                          "first_name": "John",
                          "last_name": "Smith",
                          "other_name": null,
                          "middle_name": null,
                          "natural_person_country_code": "US",
                          "natural_person_country_code_iso3": "USA",
                          "natural_person_tax_number": "123456543",
                          "birthdate": "28-05-1985",
                          "override_initial_status": null,
                          "override_request_date": null,
                          "override_request_initiator": null,
                          "override_review_date": null,
                          "override_request_reviewer": null
                        },
                        "links": {
                          "details_in_app": "https://app.trustpair.com/pairs/details/00e4f48e-1602-4da7-91fd-7567c4c8c70b?customer_id=214ab0f2-e9a3-46a8-af80-fba69d888702"
                        }
                      }
                    }
                  },
                  "Favorable global state": {
                    "value": {
                      "data": {
                        "id": "00e4f48e-1602-4da7-91fd-7567c4c8c70b",
                        "type": "company_account_audit",
                        "attributes": {
                          "company_name": "A COMPANY NAME SAS 4",
                          "company_country_code": "FR",
                          "company_country_code_iso3": "FRA",
                          "company_registration": "B859102702",
                          "tax_number": null,
                          "duns": null,
                          "company_details": {
                            "name": "Chevalier SCOP 1",
                            "address": {
                              "street": "10 Boulevard du Havre",
                              "city": "Saint-Maur-des-Fossés",
                              "state": "Guadeloupe",
                              "country": "France",
                              "country_code": "FR",
                              "zip_code": "78537"
                            },
                            "employees": "10 à 19 salariés",
                            "legal_form": "Société à responsabilité limitée (sans autre indication)",
                            "opening_date": 1512320400,
                            "dissolution_date": null,
                            "activity": {
                              "code": "70.22Z",
                              "label": "Conseil de gestion",
                              "type": "ape"
                            },
                            "insolvencies": []
                          },
                          "iban": "ES13007509648306000204502",
                          "bank_account_country_code": "ES",
                          "bank_account_country_code_iso3": "ESP",
                          "bank_account_number": null,
                          "bank_account_bic": "BRBAGB2LXXX",
                          "routing_number": null,
                          "control_key": null,
                          "bank_details": {
                            "account_blacklisted": false,
                            "factor": false,
                            "name": "Simon EURL Bank",
                            "address": {
                              "street": "751 Rue De Vaugirard",
                              "city": "Saint Denis",
                              "state": "Mayotte",
                              "country": "France",
                              "country_code": "FR",
                              "zip_code": "28553"
                            }
                          },
                          "supplier_id": "supplier_id_4",
                          "supplier_ids": [
                            "supplier_id_4"
                          ],
                          "state": "favorable",
                          "state_reasons": {
                            "company": {
                              "raw": [
                                "supplier_default_favorable"
                              ],
                              "state": "favorable",
                              "state_reasons": [
                                "The company is active"
                              ]
                            },
                            "bank_account": {
                              "raw": [
                                "bank_account_default_favorable"
                              ],
                              "state": "favorable",
                              "state_reasons": [
                                "The bank account is valid"
                              ]
                            },
                            "correlation": {
                              "raw": [
                                "external_source_favorable"
                              ],
                              "state": "favorable",
                              "state_reasons": [
                                "The bank account belongs to the supplier"
                              ]
                            }
                          },
                          "suggestions": null,
                          "factor_id": null,
                          "url": "https://app.trustpair.com/pairs/details/00e4f48e-1602-4da7-91fd-7567c4c8c70b?customer_id=214ab0f2-e9a3-46a8-af80-fba69d888702",
                          "created_at": 1618147704,
                          "updated_at": 1618147804,
                          "first_name": null,
                          "last_name": null,
                          "other_name": null,
                          "middle_name": null,
                          "natural_person_country_code": null,
                          "natural_person_country_code_iso3": null,
                          "natural_person_tax_number": null,
                          "birthdate": null,
                          "override_initial_status": null,
                          "override_request_date": null,
                          "override_request_initiator": null,
                          "override_review_date": null,
                          "override_request_reviewer": null
                        },
                        "links": {
                          "details_in_app": "https://app.trustpair.com/pairs/details/00e4f48e-1602-4da7-91fd-7567c4c8c70b?customer_id=214ab0f2-e9a3-46a8-af80-fba69d888702"
                        }
                      }
                    }
                  },
                  "Pending global state": {
                    "value": {
                      "data": {
                        "id": "82ceb081-c73b-483d-b055-e3d5425e9387",
                        "type": "company_account_audit",
                        "attributes": {
                          "company_name": "A COMPANY NAME SAS 1",
                          "company_country_code": "FR",
                          "company_country_code_iso3": "FRA",
                          "company_registration": "B859102711",
                          "tax_number": null,
                          "duns": null,
                          "company_details": {
                            "name": null,
                            "address": null,
                            "activity": {
                              "code": null,
                              "label": null,
                              "type": null
                            },
                            "insolvencies": []
                          },
                          "iban": "ES13007509648306000204511",
                          "bank_account_country_code": null,
                          "bank_account_country_code_iso3": null,
                          "bank_account_number": null,
                          "bank_account_bic": null,
                          "routing_number": null,
                          "control_key": null,
                          "bank_details": null,
                          "supplier_id": "supplier_id_1",
                          "supplier_ids": [
                            "supplier_id_1"
                          ],
                          "state": "pending",
                          "state_reasons": {
                            "company": {},
                            "bank_account": {},
                            "correlation": {}
                          },
                          "suggestions": null,
                          "factor_id": null,
                          "url": "https://app.trustpair.com/pairs/details/82ceb081-c73b-483d-b055-e3d5425e9387?customer_id=214ab0f2-e9a3-46a8-af80-fba69d888702",
                          "created_at": 1618147701,
                          "updated_at": 1618147801,
                          "first_name": null,
                          "last_name": null,
                          "middle_name": null,
                          "natural_person_country_code": null,
                          "natural_person_country_code_iso3": null,
                          "natural_person_tax_number": null,
                          "other_name": null,
                          "birthdate": null,
                          "override_initial_status": null,
                          "override_request_date": null,
                          "override_request_initiator": null,
                          "override_review_date": null,
                          "override_request_reviewer": null
                        },
                        "links": {
                          "details_in_app": "https://app.trustpair.com/pairs/details/82ceb081-c73b-483d-b055-e3d5425e9387?customer_id=214ab0f2-e9a3-46a8-af80-fba69d888702"
                        }
                      }
                    }
                  },
                  "Unfavorable global state": {
                    "value": {
                      "data": {
                        "id": "33e35609-623d-4414-9f8d-8c1ab613a984",
                        "type": "company_account_audit",
                        "attributes": {
                          "company_name": "A COMPANY NAME SAS 3",
                          "company_country_code": "FR",
                          "company_country_code_iso3": "FRA",
                          "company_registration": "B859102707",
                          "tax_number": null,
                          "duns": null,
                          "company_details": {
                            "name": "Renault GIE 1",
                            "address": {
                              "street": "513 Place de l'Abbaye",
                              "city": "Vénissieux",
                              "state": "Limousin",
                              "country": "France",
                              "country_code": "FR",
                              "zip_code": "33932"
                            },
                            "employees": null,
                            "legal_form": "Société à responsabilité limitée (sans autre indication)",
                            "opening_date": 1612310400,
                            "dissolution_date": null,
                            "activity": {
                              "code": "70.22Z",
                              "label": "Conseil de gestion",
                              "type": "ape"
                            },
                            "insolvencies": []
                          },
                          "iban": "ES13007509648306000204505",
                          "bank_account_country_code": "ES",
                          "bank_account_country_code_iso3": "ESP",
                          "bank_account_number": null,
                          "bank_account_bic": "AAPUFR93260",
                          "routing_number": null,
                          "control_key": null,
                          "bank_details": {
                            "account_blacklisted": false,
                            "factor": false,
                            "name": "Sanchez GIE Bank",
                            "address": {
                              "street": "4 Allée De Rivoli",
                              "city": "Colmar",
                              "state": "Centre",
                              "country": "France",
                              "country_code": "FR",
                              "zip_code": "02525"
                            }
                          },
                          "supplier_id": "supplier_id_3",
                          "supplier_ids": [
                            "supplier_id_3"
                          ],
                          "state": "unfavorable",
                          "state_reasons": {
                            "company": {
                              "raw": [
                                "supplier_default_favorable"
                              ],
                              "state": "favorable",
                              "state_reasons": [
                                "The company is active"
                              ]
                            },
                            "bank_account": {
                              "raw": [
                                "bank_account_default_favorable"
                              ],
                              "state": "favorable",
                              "state_reasons": [
                                "The bank account is valid"
                              ]
                            },
                            "correlation": {
                              "raw": [
                                "banking_validation_default_unfavorable"
                              ],
                              "state": "unfavorable",
                              "state_reasons": [
                                "The supplier / bank account correlation is invalid"
                              ]
                            }
                          },
                          "suggestions": null,
                          "factor_id": null,
                          "url": "https://app.trustpair.com/pairs/details/33e35609-623d-4414-9f8d-8c1ab613a984?customer_id=214ab0f2-e9a3-46a8-af80-fba69d888702",
                          "created_at": 1618147703,
                          "updated_at": 1618147803,
                          "first_name": null,
                          "last_name": null,
                          "other_name": null,
                          "middle_name": null,
                          "natural_person_country_code": null,
                          "natural_person_country_code_iso3": null,
                          "natural_person_tax_number": null,
                          "birthdate": null,
                          "override_initial_status": null,
                          "override_request_date": null,
                          "override_request_initiator": null,
                          "override_review_date": null,
                          "override_request_reviewer": null
                        },
                        "links": {
                          "details_in_app": "https://app.trustpair.com/pairs/details/33e35609-623d-4414-9f8d-8c1ab613a984?customer_id=214ab0f2-e9a3-46a8-af80-fba69d888702"
                        }
                      }
                    }
                  },
                  "Unevaluated global state": {
                    "value": {
                      "data": {
                        "id": "82ceb081-c73b-483d-b055-e3d5425e9387",
                        "type": "company_account_audit",
                        "attributes": {
                          "company_name": "A COMPANY NAME SAS 2",
                          "company_country_code": "FR",
                          "company_country_code_iso3": "FRA",
                          "company_registration": "B859102711",
                          "tax_number": null,
                          "duns": null,
                          "company_details": {
                            "name": null,
                            "address": null,
                            "activity": {
                              "code": null,
                              "label": null,
                              "type": null
                            },
                            "insolvencies": []
                          },
                          "iban": "ES13007509648306000204511",
                          "bank_account_country_code": "ES",
                          "bank_account_country_code_iso3": "ESP",
                          "bank_account_number": null,
                          "bank_account_bic": null,
                          "routing_number": null,
                          "control_key": null,
                          "bank_details": {
                            "factor": false,
                            "name": null,
                            "address": null
                          },
                          "supplier_id": "supplier_id_2",
                          "supplier_ids": [
                            "supplier_id_2"
                          ],
                          "state": "anomaly",
                          "state_reasons": {
                            "company": {
                              "raw": [
                                "company_registration_invalid_format"
                              ],
                              "state": "anomaly",
                              "state_reasons": [
                                "The company ID format is invalid"
                              ]
                            },
                            "bank_account": {
                              "raw": [
                                "bank_account_invalid_format"
                              ],
                              "state": "anomaly",
                              "state_reasons": [
                                "The bank account format is invalid"
                              ]
                            },
                            "correlation": {
                              "raw": [
                                "correlation_unchecked"
                              ],
                              "state": "unchecked",
                              "state_reasons": [
                                "The verification of the correlation between the bank account and the vendor has not been performed"
                              ]
                            }
                          },
                          "suggestions": null,
                          "factor_id": null,
                          "url": "https://app.trustpair.com/pairs/details/82ceb081-c73b-483d-b055-e3d5425e9387?customer_id=214ab0f2-e9a3-46a8-af80-fba69d888702",
                          "created_at": 1618147702,
                          "updated_at": 1618147802,
                          "first_name": null,
                          "last_name": null,
                          "other_name": null,
                          "middle_name": null,
                          "natural_person_country_code": null,
                          "natural_person_country_code_iso3": null,
                          "natural_person_tax_number": null,
                          "birthdate": null,
                          "override_initial_status": null,
                          "override_request_date": null,
                          "override_request_initiator": null,
                          "override_review_date": null,
                          "override_request_reviewer": null
                        },
                        "links": {
                          "details_in_app": "https://app.trustpair.com/pairs/details/82ceb081-c73b-483d-b055-e3d5425e9387?customer_id=214ab0f2-e9a3-46a8-af80-fba69d888702"
                        }
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "$ref": "#/components/schemas/company_account_audit"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized response code",
            "content": {
              "application/json": {
                "examples": {
                  "With invalid token": {
                    "value": {
                      "message": "Bearer token invalid or missing"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden response code",
            "content": {
              "application/json": {
                "examples": {
                  "Without required permissions": {
                    "value": {
                      "message": "Access requires any permission: 'company_account_audits_read', 'company_account_audits_write'"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found response code",
            "content": {
              "application/json": {
                "examples": {
                  "With unknown company account audit ID": {
                    "value": {
                      "message": "Not found"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "tags": [
    {
      "name": "Company account audits",
      "description": "List and add companies to your suppliers list, and check their bank account data.\n            You can submit and retrieve a company account audit object to get the\n            Trustpair evaluation of a given company and bank account."
    }
  ],
  "components": {
    "securitySchemes": {
      "bearer": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "schemas": {
      "address": {
        "type": "object",
        "properties": {
          "street": {
            "type": "string",
            "nullable": true
          },
          "city": {
            "type": "string",
            "nullable": true
          },
          "state": {
            "type": "string",
            "nullable": true
          },
          "country": {
            "type": "string",
            "nullable": true
          },
          "country_code": {
            "type": "string",
            "nullable": true
          },
          "zip_code": {
            "type": "string",
            "nullable": true
          }
        },
        "nullable": true
      },
      "entity_state_reasons": {
        "oneOf": [
          {
            "type": "object",
            "nullable": true,
            "additionalProperties": false,
            "maxProperties": 0,
            "description": "May be an empty object"
          },
          {
            "type": "object",
            "nullable": true,
            "additionalProperties": false,
            "required": [
              "raw",
              "state",
              "state_reasons"
            ],
            "properties": {
              "raw": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "state": {
                "type": "string",
                "nullable": true,
                "description": "State for this sub-entity"
              },
              "state_reasons": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            }
          }
        ]
      },
      "company_account_audit": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "type": {
            "type": "string",
            "enum": [
              "company_account_audit"
            ]
          },
          "attributes": {
            "type": "object",
            "properties": {
              "supplier_id": {
                "type": "string",
                "nullable": true
              },
              "supplier_ids": {
                "type": "array",
                "items": {
                  "type": "string"
                },
                "description": "Every supplier ID seen for this company account audit"
              },
              "factor_id": {
                "type": "string",
                "nullable": true
              },
              "url": {
                "type": "string",
                "nullable": true
              },
              "created_at": {
                "type": "integer",
                "description": "Unix timestamp (seconds)"
              },
              "updated_at": {
                "type": "integer",
                "description": "Unix timestamp (seconds)"
              },
              "suggestions": {
                "type": "object",
                "nullable": true,
                "deprecated": true,
                "properties": {
                  "suggested_company_registration": {
                    "type": "string",
                    "nullable": true
                  },
                  "suggested_tax_number": {
                    "type": "string",
                    "nullable": true
                  }
                }
              },
              "company_name": {
                "type": "string",
                "nullable": true,
                "example": "Company name"
              },
              "company_country_code": {
                "type": "string",
                "nullable": true,
                "example": "FR"
              },
              "company_country_code_iso3": {
                "type": "string",
                "nullable": true,
                "example": "FRA"
              },
              "company_registration": {
                "type": "string",
                "nullable": true,
                "example": "B859102711"
              },
              "tax_number": {
                "type": "string",
                "nullable": true
              },
              "duns": {
                "type": "string",
                "nullable": true
              },
              "company_raw_address": {
                "type": "string",
                "nullable": true
              },
              "company_details": {
                "type": "object",
                "nullable": true,
                "additionalProperties": false,
                "properties": {
                  "name": {
                    "type": "string",
                    "nullable": true
                  },
                  "commercial_name": {
                    "type": "string",
                    "nullable": true
                  },
                  "address": {
                    "$ref": "#/components/schemas/address"
                  },
                  "employees": {
                    "type": "string",
                    "nullable": true
                  },
                  "legal_form": {
                    "type": "string",
                    "nullable": true
                  },
                  "opening_date": {
                    "type": "integer",
                    "description": "Unix timestamp (seconds)",
                    "nullable": true
                  },
                  "dissolution_date": {
                    "type": "integer",
                    "description": "Unix timestamp (seconds)",
                    "nullable": true
                  },
                  "activity": {
                    "type": "object",
                    "nullable": true,
                    "additionalProperties": false,
                    "properties": {
                      "code": {
                        "type": "string",
                        "nullable": true
                      },
                      "label": {
                        "type": "string",
                        "nullable": true
                      },
                      "type": {
                        "type": "string",
                        "nullable": true
                      }
                    }
                  },
                  "insolvencies": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "additionalProperties": false,
                      "properties": {
                        "date": {
                          "type": "string",
                          "description": "Published at - YYYY-MM-DD",
                          "nullable": false
                        },
                        "url": {
                          "type": "string",
                          "nullable": false
                        }
                      }
                    }
                  },
                  "enriched_by": {
                    "type": "string",
                    "description": "How the supplier was enriched",
                    "nullable": true,
                    "enum": [
                      "company_registration",
                      "company_name_address"
                    ]
                  }
                }
              },
              "iban": {
                "type": "string",
                "nullable": true
              },
              "bank_account_country_code": {
                "type": "string",
                "nullable": true
              },
              "bank_account_country_code_iso3": {
                "type": "string",
                "nullable": true
              },
              "bank_account_number": {
                "type": "string",
                "nullable": true
              },
              "bank_account_bic": {
                "type": "string",
                "nullable": true
              },
              "routing_number": {
                "type": "string",
                "nullable": true
              },
              "control_key": {
                "type": "string",
                "nullable": true
              },
              "bank_details": {
                "type": "object",
                "nullable": true,
                "additionalProperties": false,
                "properties": {
                  "factor": {
                    "type": "boolean",
                    "nullable": true
                  },
                  "name": {
                    "type": "string",
                    "nullable": true
                  },
                  "address": {
                    "$ref": "#/components/schemas/address"
                  },
                  "account_blacklisted": {
                    "type": "boolean",
                    "nullable": true
                  }
                }
              },
              "state": {
                "type": "string",
                "enum": [
                  "anomaly",
                  "favorable",
                  "pending",
                  "unfavorable",
                  "unevaluated"
                ]
              },
              "state_reasons": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                  "company": {
                    "$ref": "#/components/schemas/entity_state_reasons"
                  },
                  "bank_account": {
                    "$ref": "#/components/schemas/entity_state_reasons"
                  },
                  "correlation": {
                    "$ref": "#/components/schemas/entity_state_reasons"
                  },
                  "supplier_sanctions_screening": {
                    "$ref": "#/components/schemas/entity_state_reasons"
                  },
                  "bank_sanctions_screening": {
                    "$ref": "#/components/schemas/entity_state_reasons"
                  }
                }
              },
              "first_name": {
                "type": "string",
                "nullable": true
              },
              "last_name": {
                "type": "string",
                "nullable": true
              },
              "middle_name": {
                "type": "string",
                "nullable": true
              },
              "other_name": {
                "type": "string",
                "nullable": true
              },
              "birthdate": {
                "type": "string",
                "description": "DD-MM-YYYY",
                "nullable": true
              },
              "natural_person_country_code": {
                "type": "string",
                "nullable": true
              },
              "natural_person_country_code_iso3": {
                "type": "string",
                "nullable": true
              },
              "natural_person_tax_number": {
                "type": "string",
                "nullable": true
              },
              "override_initial_status": {
                "type": "string",
                "nullable": true
              },
              "override_request_date": {
                "type": "string",
                "nullable": true
              },
              "override_request_initiator": {
                "type": "string",
                "nullable": true
              },
              "override_review_date": {
                "type": "string",
                "nullable": true
              },
              "override_request_reviewer": {
                "type": "string",
                "nullable": true
              },
              "contact_email": {
                "type": "string",
                "nullable": true
              },
              "contact_first_name": {
                "type": "string",
                "nullable": true
              },
              "contact_last_name": {
                "type": "string",
                "nullable": true
              },
              "contact_department": {
                "type": "string",
                "nullable": true,
                "enum": [
                  "accounting",
                  "financial",
                  "other",
                  "procurement",
                  "treasury"
                ]
              },
              "tax_id_match": {
                "$ref": "#/components/schemas/tax_id_match"
              },
              "tags": {
                "type": "array",
                "description": "Array of strings, each item is a separated tag",
                "items": {
                  "type": "string",
                  "description": "A single tag value",
                  "example": "tag1"
                }
              }
            }
          },
          "links": {
            "type": "object",
            "required": [
              "details_in_app"
            ],
            "properties": {
              "details_in_app": {
                "type": "string",
                "format": "uri"
              }
            }
          }
        }
      },
      "tax_id_match": {
        "type": "object",
        "properties": {
          "state": {
            "type": "string",
            "enum": [
              "pending",
              "favorable",
              "unfavorable",
              "anomaly",
              "bypassed"
            ]
          },
          "state_reason": {
            "type": "string",
            "description": "A human-readable label for the TIN match result"
          }
        }
      }
    }
  }
}
```